package com.ruoyi.bst.article.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.interfaces.LogBizParam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 文章对象 bst_article
 *
 * @author ruoyi
 * @date 2025-03-27
 */
@Data
public class Article extends BaseEntity implements LogBizParam
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "分类ID")
    @ApiModelProperty("分类ID")
    private Long categoryId;

    @Excel(name = "运营区id")
    @ApiModelProperty("运营区id")
    private Long areaId;

    @Excel(name = "标题")
    @ApiModelProperty("标题")
    private String title;

    @Excel(name = "简介")
    @ApiModelProperty("简介")
    private String brief;

    @Excel(name = "内容详情")
    @ApiModelProperty("内容详情")
    private String content;

    @Excel(name = "文章类型")
    @ApiModelProperty(value = "文章类型")
    private String code;

    /**
     * 获取日志业务ID
     */
    @Override
    public Object logBizId() {
        return id;
    }
}
