package com.ruoyi.bst.creditUser.domain;

import javax.validation.constraints.NotBlank;

import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CreditUserVO extends CreditUser {

    // 挂账方
    @ApiModelProperty("挂账方名称")
    private String creditName;
    @ApiModelProperty("挂账方LOGO")
    private String creditLogo;

    // 用户
    @ApiModelProperty("用户名称")
    private String userName;
    @ApiModelProperty("用户手机号")
    @NotBlank(message = "用户手机号不能为空", groups = {ValidGroup.Create.class})
    private String userMobile;

    // 运营区
    @ApiModelProperty("运营区名称") 
    private String areaName;
    @ApiModelProperty("运营区ID")
    private Long areaId;
}
