package com.ruoyi.bst.device.domain.dto;

import java.util.List;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceTransferDTO {

    @ApiModelProperty("设备ID列表")
    @NotNull(message = "设备ID列表不能为空")
    @Size(min = 1, message = "设备ID列表不能为空")
    private List<Long> ids;

    @ApiModelProperty("运营区ID")
    @NotNull(message = "运营区ID不能为空")
    private Long areaId;
    
}
