package com.ruoyi.bst.order.domain.bo;

import java.util.List;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.channel.domain.ChannelVO;
import com.ruoyi.bst.channel.domain.vo.ChannelPayVO;
import com.ruoyi.bst.creditUser.domain.CreditUserVO;
import com.ruoyi.bst.order.domain.OrderVO;
import com.ruoyi.bst.order.domain.dto.OrderPayRideFeeDTO;
import com.ruoyi.bst.order.domain.vo.OrderCalcRideFeeVO;
import com.ruoyi.bst.userApp.domain.UserAppVO;
import com.ruoyi.bst.vipUser.domain.VipUserVO;
import com.ruoyi.common.core.domain.vo.UserVO;

import lombok.Data;

@Data
public class OrderPayRideFeeBO {
    
    // 原始参数
    private OrderPayRideFeeDTO dto;

    // 订单
    private OrderVO order;

    // 渠道
    private ChannelVO channel;

    // 应用
    private AppVO app;

    // 付款用户
    private UserVO user;

    // 用户应用
    private UserAppVO userApp;

    // 卡券
    private VipUserVO vipUser;

    // 费用信息
    private OrderCalcRideFeeVO fee;

    // 挂账用户
    private CreditUserVO creditUser;

    // 可用渠道数据
    private List<ChannelPayVO> channelPayList;
}
