package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotNull;

import com.ruoyi.common.core.interfaces.LogBizParam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderCalcPrePriceDTO implements LogBizParam {

    @ApiModelProperty("套餐ID")
    @NotNull(message = "套餐ID不能为空")
    private Long suitId;

    @ApiModelProperty("渠道ID")
    @NotNull(message = "渠道ID不能为空")
    private Long channelId;

    @Override
    public Object logBizId() {
        return suitId;
    }
}
