package com.ruoyi.bst.pay.domain.dto;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/8/15
 */
@Data
public class PayRefundDTO {

    @ApiModelProperty("支付单ID")
    private Long id;

    @ApiModelProperty("退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty("退款原因")
    private String refundReason;

    @ApiModelProperty("退款操作人ID")
    private Long userId;

    @ApiModelProperty("退款操作人名称")
    private String userName;

    @ApiModelProperty("退款方式（1-自动退款，2-管理员退款）")
    private String type;

}
