package com.ruoyi.bst.areaJoin.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AreaJoinQuery extends AreaJoinVO {

    @ApiModelProperty("类型列表")
    private List<String> types;

    @ApiModelProperty("ID列表")
    private List<Long> ids;

    @ApiModelProperty("运营商ID")
    private Long mchId;

    @ApiModelProperty("排除ID")
    private Long excludeId;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;
    
}
