package com.ruoyi.bst.balanceLog.domain.enums;

import com.ruoyi.bst.bonus.domain.enums.BonusBstType;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum BalanceLogBstType {

    ORDER("ORDER", "订单"),
    WITHDRAW("WITHDRAW", "提现"),
    SMS("SMS", "短信"),
    VIP_ORDER("VIP_ORDER", "卡券订单");

    private final String code;
    private final String name;

    public static BalanceLogBstType parseByBonusBstType(String bstType) {
        if (BonusBstType.ORDER.getType().equals(bstType)) {
            return ORDER;
        } else if (BonusBstType.VIP_ORDER.getType().equals(bstType)) {
            return VIP_ORDER;
        }
        return null;
    }


}
