package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotNull;

import com.ruoyi.bst.order.domain.vo.OrderCalcRideFeeVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 押金抵扣DTO
 */
@Data
public class OrderDeductDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long id;

    @ApiModelProperty("是否管理员")
    private Boolean isAdmin;

    @ApiModelProperty("卡券ID")
    private Long vipUserId;

    @ApiModelProperty("费用")
    @NotNull(message = "费用不能为空")
    private OrderCalcRideFeeVO fee;
}
