package com.ruoyi.bst.pay.utils;

import java.math.BigDecimal;

import com.ruoyi.common.utils.MathUtils;

public class PayUtil {

    /**
     * 计算渠道成本
     * @param amount 金额
     * @param costRate 成本率
     * @return 渠道成本
     */
    public static BigDecimal calcChannelCost(BigDecimal amount, BigDecimal costRate) {
        return MathUtils.mulDecimal(costRate, amount).divide(new BigDecimal(100), 2, BigDecimal.ROUND_HALF_UP);
    }
    
}
