package com.ruoyi.web.app;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.bst.vipUser.domain.VipUserQuery;
import com.ruoyi.bst.vipUser.service.VipUserService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/app/vipUser")
public class AppVipUserController extends BaseController {
    
    @Autowired
    private VipUserService vipUserService;

    @ApiOperation("查询用户卡券列表")
    @GetMapping("/list")
    public TableDataInfo list(VipUserQuery query) {
        startPage();
        query.setUserId(getUserId());
        return getDataTable(vipUserService.selectVipUserList(query));
    }
    
}
